#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	python setup.py build
	touch $@


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	python setup.py -q clean -a
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	python setup.py install --no-compile \
		--root=$(CURDIR)/debian/python-avc \
		--install-layout=deb

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changes
	dh_installdocs
	dh_installexamples
	dh_python2
	dh_compress -X.glade -X.py -X.tcl -X.ui -X.xrc
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
binary-arch:
.PHONY: build clean binary-indep binary binary-arch install
